[supervisord]
nodaemon=true

[rpcinterface:supervisor]
supervisor.rpcinterface_factory = supervisor.rpcinterface:make_main_rpcinterface

[unix_http_server]
file = /tmp/supervisor.sock

[inet_http_server]
port=28999

[supervisorctl]
serverurl = unix:///tmp/supervisor.sock

[group:nquakesv]
programs=mvdsv,qwfwd,qtv

[program:start]
command=/nquakesv/start.sh
startsecs=0
autostart=true
autorestart=false
stdout_logfile=/dev/stdout
stdout_logfile_maxbytes=0

[program:mvdsv]
command=/nquakesv/mvdsv -port 28501 -game ktx +exec port1.cfg
directory=/nquakesv
autostart=false
stdout_logfile=/dev/stdout
stdout_logfile_maxbytes=0
redirect_stderr=true

[program:qwfwd]
command=/nquakesv/qwfwd/qwfwd.bin
directory=/nquakesv/qwfwd
autostart=false
stdout_logfile=/dev/stdout
stdout_logfile_maxbytes=0
redirect_stderr=true

[program:qtv]
command=/nquakesv/qtv/qtv.bin +exec qtv.cfg
directory=/nquakesv/qtv
autostart=false
stdout_logfile=/dev/stdout
stdout_logfile_maxbytes=0
redirect_stderr=true
